# Create a density plot for each variable-class combination.

# load the caret library
library(caret)
# load the iris dataset
datos <- iris
# box and whisker plots for each attribute by class value
x <- datos[,1:4] # cuantitativas
y <- datos[,5] # el factor de estudio
scales <- list(x=list(relation="free"), y=list(relation="free"))

# ejes adaptados a cada variable
featurePlot(x=x, y=y, plot="density", scales=scales)

# mismo eje común
featurePlot(x=x, y=y, plot="density")


# escalar las variables
zx <- scale(x)
summary(zx)
summary(x)
# mismo eje común
featurePlot(x=zx, y=y, plot="density")
